Discussion:
xquary update 3.0
(too old to reply)
Leo Studer
2014-10-07 08:07:45 UTC
Permalink
hello

I am wondering whats happening with the update facility 3.0.
Is there any support yet?
With Saxon EE 9.5.1.5 in Oxygen and xquery 3.0 enabled, I get errors with updates.

Thanks in advance
Leo
Ghislain Fourny
2014-10-07 08:23:43 UTC
Permalink
Hi Leo,

The XQUF 3.0 specification needs to address a few issues to be adapted
for new XQuery 3.0 constructs (e.g., expression categories w.r.t. the
introduction of dynamic function invocations). If I am correct, a
newer version addressing at least the issue mentioned above may be on
its way (but I don't know about any timelines).

Mike will probably tell you better than me the status of Saxon with
respect to XQUF 3.0.

As for the Zorba engine, it should not throw errors in 3.0 for simple
update usage. Expect it to be a bit bumpy for dynamic function
invocations with updating functions though :-)

What queries did you try to run?

I hope it helps.

Kind regards,
Ghislain
Post by Leo Studer
hello
I am wondering whats happening with the update facility 3.0.
Is there any support yet?
With Saxon EE 9.5.1.5 in Oxygen and xquery 3.0 enabled, I get errors with updates.
Thanks in advance
Leo
_______________________________________________
http://x-query.com/mailman/listinfo/talk
Michael Kay
2014-10-07 08:33:00 UTC
Permalink
Post by Leo Studer
hello
I am wondering whats happening with the update facility 3.0.
Is there any support yet?
With Saxon EE 9.5.1.5 in Oxygen and xquery 3.0 enabled, I get errors with updates.
Saxon 9.5 didn't allow you to use XQuery 3.0 and XQuery Update in the same query.

We've fixed that in Saxon 9.6.

Michael Kay
Saxonica
Leo Studer
2014-10-07 09:42:49 UTC
Permalink
Thank you Michael

I hope 9.6 will be in the next update of Oxygen soon ;-)

Yours
Leo
Post by Michael Kay
Post by Leo Studer
hello
I am wondering whats happening with the update facility 3.0.
Is there any support yet?
With Saxon EE 9.5.1.5 in Oxygen and xquery 3.0 enabled, I get errors with updates.
Saxon 9.5 didn't allow you to use XQuery 3.0 and XQuery Update in the same query.
We've fixed that in Saxon 9.6.
Michael Kay
Saxonica
Loading...